import 'package:flutter/material.dart';

class CustomCard extends StatelessWidget {
  CustomCard({
    this.child,
    this.elevation,
    this.borderRadius,
  });

  final Widget child;
  final Widget elevation;
  final Widget borderRadius;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(
          borderRadius != null ? borderRadius : 3.0,
        ),
        color: Colors.white,
        boxShadow: [
          BoxShadow(
            color: Colors.grey,
            offset: Offset(0.0, 1.0),
            blurRadius: elevation != null ? elevation : 2.0,
          ),
        ],
      ),
      child: child,
    );
  }
}
