import 'app_screen.dart';
import 'initial_values_routing.dart';

List<AppScreen> appScreens = [];

addNewAppScreen(AppScreen newScreen) {
  appScreens.add(newScreen);

  List<AppScreen> screens = appScreens
      .where((appScreen) => appScreen.name == newScreen.name)
      .toList();

  if (screens.length > 1) {
    int duplicateScreenIndex =
        appScreens.indexWhere((appScreen) => appScreen.name == newScreen.name);
    appScreens.removeAt(duplicateScreenIndex);
  }
}

openScreen(String screenName) {
  int screenIndex =
      appScreens.indexWhere((appScreen) => appScreen.name == screenName);
  handleAppScreenOpening(screenIndex);
}
